<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="css/style.css">
    <title>Document</title>
</head>
<body>
<header>
    <div class="nav-menu">
        <nav>
            <ul>
                <li><a href="https://dan-it.com.ua/uk/" target="_blank">About us</a></li>
                <li><a href="#">Projects</a></li>
                <li><a href="#">Blog</a></li>
                <li><a href="#">Templates</a></li>
                <li><a href="#">Libraries</a></li>
            </ul>
        </nav>
    </div>
</header>
<main>
    <div class="logo">
        <img src="logo.png" alt="logo">
    </div>
    <div class="conteiner">
        <h2>How does CSS actually work?</h2>
        <div class="content">
            <p>When a browser displays a document, it must combine the document's content with its style information. It
                processes the document in a number of stages, which we've listed below. Bear in mind that <span
                        style="color: #04959E; ">this is a very
                simplified version</span> of what happens when a browser loads a webpage, and that different browsers
                will
                handle the process in different ways. But this is roughly what happens.</p>
        </div>
        <div class="content">
            <ol>
                <li>The browser loads the HTML (e.g. receives it from the network).</li>
                <li>It converts the HTML into a DOM (Document Object Model). The DOM represents the document in the
                    computer's memory. The DOM is explained in a bit more detail in the next section.
                </li>
                <li>The browser then fetches most of the resources that are linked to by the HTML document, such as
                    embedded images, videos, and even linked CSS! JavaScript is handled a bit later on in the process,
                    and we won't talk about it here to keep things simpler.
                </li>
                <li>The browser parses the fetched CSS, and sorts the different rules by their selector types into
                    different "buckets", e.g. element, class, ID, and so on. Based on the selectors it finds, it works
                    out which rules should be applied to which nodes in the DOM, and attaches style to them as required
                    (this intermediate step is called a render tree).
                </li>
                <li>The render tree is laid out in the structure it should appear in after the rules have been applied
                    to it.
                </li>
                <li>The visual display of the page is shown on the screen (this stage is called painting).</li>
            </ol>
        </div>
        <button class="primary-button">Learn more</button>

    </div>
</main>
<footer>
    <hr />
    <div class="footer-text">All right reserved</div>
</footer>
</body>
</html>